pydo.genai.update_custom_evaluation_metric()
Generated on 1 Oct 2026
from pydo version
v0.43.0
Usage
client.genai.update_custom_evaluation_metric(
metric_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"config": {...},
"description": "example string",
"metric_name": "\"My domain tone metric\"",
...,
},
)Description
To update a custom metric (issuing a new metric UUID), send a PUT request to /v2/gen-ai/custom_evaluation_metrics/{metric_uuid}.
Parameters
metric_uuidstring requiredUUID of the custom metric to update.
configobject optionalConfiguration for a custom model-evaluation metric scored by an LLM judge.
Prompt and model response are always included in the judge context.Show child properties
created_atstring optionalExample:
2023-01-01T00:00:00Zdeleted_atstring optionalExample:
2023-01-01T00:00:00ZWhen set, the custom metric is soft-deleted and must not appear in pickers.
requires_ground_truthboolean optionalExample:
TrueWhen true, each row must provide ground truth and it is included in the judge context.
When false, ground truth is not required and is not sent to the judge.scoring_promptstring optionalExample:
example stringInstructions for the judge model (multi-line).
updated_atstring optionalExample:
2023-01-01T00:00:00Z
descriptionstring optionalExample:
example stringmetric_namestring optionalExample:
"My domain tone metric"metric_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"
Request Sample
Response Example
More Information
See /v2/gen-ai/custom_evaluation_metrics/{metric_uuid} in the API reference for additional detail on responses, headers, parameters, and more.